<?php
/**
 * Block Patterns
 *
 * @package fse_transportation_company
 * @since 1.0
 */

function fse_transportation_company_register_block_patterns() {
	$fse_transportation_company_block_pattern_categories = array(
		'fse-transportation-company' => array( 'label' => esc_html__( 'FSE Transportation Company', 'fse-transportation-company' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'fse-transportation-company' ) ),
	);

	$fse_transportation_company_block_pattern_categories = apply_filters( 'fse_transportation_company_fse_transportation_company_block_pattern_categories', $fse_transportation_company_block_pattern_categories );

	foreach ( $fse_transportation_company_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_transportation_company_register_block_patterns', 9 );